org.mariadb.jdbc.internal.queryresults

## Interface ExecutionResult

All Known Subinterfaces:
  MultiExecutionResult

All Known Implementing Classes:
  MultiFixedIntExecutionResult, MultiVariableIntExecutionResult, SingleExecutionResult

    public interface ExecutionResult

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addResultSet(MariaSelectResultSet result, boolean moreResultAvailable)`
`void` `addStats(long affectedRows, long insertId, boolean moreResultAvailable)`
`void` `addStatsError(boolean moreResultAvailable)`
`void` `close()` Close resultset if needed.
`void` `fixStatsError(int sendCommand)`
`Deque<ExecutionResult>` `getCachedExecutionResults()`
`int` `getFetchSize()`
`int` `getFirstAffectedRows()`
`long[]` `getInsertIds()`
`MariaSelectResultSet` `getResultSet()`
`MariaDbStatement` `getStatement()`
`boolean` `hasMoreResultAvailable()`
`boolean` `hasMoreThanOneAffectedRows()`
`boolean` `isCanHaveCallableResultset()`
`boolean` `isSelectPossible()`
`boolean` `isSingleExecutionResult()`
`void` `setFetchSize(int fetchSize)`

### Method Detail

#### getResultSet

    MariaSelectResultSet getResultSet()

#### getStatement

    MariaDbStatement getStatement()

#### hasMoreResultAvailable

    boolean hasMoreResultAvailable()

#### getFetchSize

    int getFetchSize()

#### setFetchSize

    void setFetchSize(int fetchSize)

#### close

    void close()
        throws SQLException

Close resultset if needed.

Throws:
  `SQLException` - if exception occur during resultset close.

#### addResultSet

    void addResultSet(MariaSelectResultSet result,
                      boolean moreResultAvailable)

#### addStats

    void addStats(long affectedRows,
                  long insertId,
                  boolean moreResultAvailable)

#### addStatsError

    void addStatsError(boolean moreResultAvailable)

#### fixStatsError

    void fixStatsError(int sendCommand)

#### getInsertIds

    long[] getInsertIds()

#### hasMoreThanOneAffectedRows

    boolean hasMoreThanOneAffectedRows()

#### getFirstAffectedRows

    int getFirstAffectedRows()

#### isSelectPossible

    boolean isSelectPossible()

#### isCanHaveCallableResultset

    boolean isCanHaveCallableResultset()

#### getCachedExecutionResults

    Deque<ExecutionResult> getCachedExecutionResults()

#### isSingleExecutionResult

    boolean isSingleExecutionResult()